Steps for ionic default resources

# Via add platform command

```shell
ionic start r1
cd r1
ionic platform add ios
ls -la resources
# Ensure android and ios directories are there, with icon.png and splash.png

cat config.xml
# Ensure that <platform name="ios"> exists, <icon> and <splash> screen elements are inside of it with paths
# Ensure that <preference name="SplashScreen" value="screen"/> exists
# Ensure that <preference name="SplashScreenDelay" value="3000"/> exists

ionic platform add android
cat config.xml
# Ensure that <platform name="android"> exists, <icon> and <splash> screen elements are inside of it with paths
# Ensure that <preference name="SplashScreen" value="screen"/> exists only ONCE
# Ensure that <preference name="SplashScreenDelay" value="3000"/> exists only ONCE

```

# Via add resources command w/ existing project

```shell
# NOTE - resources folder cannot exist
# NOTE - if config.xml already has <platform name="ios"> - it will not alter those entries
`ionic resources --default`
ls -la resources
# Ensure android and ios directories are there, with icon.png and splash.png
cat config.xml
cat config.xml
# Ensure that <platform name="ios"> and <platform name="ios"> exists, <icon> and <splash> screen elements are inside of it with paths
# Ensure that <preference name="SplashScreen" value="screen"/> exists only ONCE
# Ensure that <preference name="SplashScreenDelay" value="3000"/> exists only ONCE
```

# Testing running the device

```shell
ionic run ios
# Ensure ios has icon for app name
# Ensure ios has splash screen show up when app loading

ionic run android
# Ensure android has icon for app name
# Ensure android has splash screen show up when app loading

```
